Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingDataSource

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.JdbcMethodInvoker
  - - Altibase.jdbc.driver.sharding.core.AltibaseShardingDataSource

All Implemented Interfaces:
  java.sql.Wrapper, javax.sql.CommonDataSource, javax.sql.DataSource

Direct Known Subclasses:
  AltibaseShardingConnectionPoolDataSource

    public class AltibaseShardingDataSource
    extends JdbcMethodInvoker
    implements javax.sql.DataSource

### Constructor Summary

Constructors
Constructor and Description
`AltibaseShardingDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.Connection` `getConnection()`
`java.sql.Connection` `getConnection(java.lang.String aUserName, java.lang.String aPassword)`
`int` `getLoginTimeout()`
`java.io.PrintWriter` `getLogWriter()`
`void` `setDataSourceMap(java.util.Map<DataNode,javax.sql.DataSource> aDataSourceMap)`
`void` `setLoginTimeout(int aSeconds)`
`void` `setLogWriter(java.io.PrintWriter aWriter)`
`void` `setPassword(java.lang.String aPassword)`
`void` `setPortNumber(int aPortNumber)`
`void` `setServerName(java.lang.String aServerName)`
`void` `setURL(java.lang.String aURL)`
`void` `setUser(java.lang.String aUser)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getParentLogger`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AltibaseShardingDataSource

    public AltibaseShardingDataSource()

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

#### getConnection

    public java.sql.Connection getConnection(java.lang.String aUserName,
                                             java.lang.String aPassword)
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

#### getLogWriter

    public java.io.PrintWriter getLogWriter()

Specified by:
  `getLogWriter` in interface `javax.sql.CommonDataSource`

#### setLogWriter

    public void setLogWriter(java.io.PrintWriter aWriter)

Specified by:
  `setLogWriter` in interface `javax.sql.CommonDataSource`

#### setLoginTimeout

    public void setLoginTimeout(int aSeconds)

Specified by:
  `setLoginTimeout` in interface `javax.sql.CommonDataSource`

#### getLoginTimeout

    public int getLoginTimeout()

Specified by:
  `getLoginTimeout` in interface `javax.sql.CommonDataSource`

#### setURL

    public void setURL(java.lang.String aURL)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setUser

    public void setUser(java.lang.String aUser)

#### setServerName

    public void setServerName(java.lang.String aServerName)

#### setPortNumber

    public void setPortNumber(int aPortNumber)

#### setPassword

    public void setPassword(java.lang.String aPassword)

#### setDataSourceMap

    public void setDataSourceMap(java.util.Map<DataNode,javax.sql.DataSource> aDataSourceMap)